Fork me on GitHub"

# skbio.sequence.GrammaredSequence.has_definites

GrammaredSequence.has_definites()

  Determine if sequence contains one or more definite characters

  State: Stable as of 0.5.0.

  Returns

    Indicates whether there are one or more occurrences of definite characters in the biological sequence.

  Return type

    bool

  See also

  `definites`, `degenerates`, `has_degenerates`

  Examples

      >>> from skbio import DNA
      >>> s = DNA('NWNNNNNN')
      >>> s.has_definites()
      False
      >>> t = DNA('ANCACWWGACGTT')
      >>> t.has_definites()
      True